com.jscape.inet.mft.management.descriptors

## Class WebDavConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.TransportServiceConfiguration
    - - com.jscape.inet.mft.management.descriptors.WebDavConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class WebDavConfiguration
      extends TransportServiceConfiguration

  WebDAV service descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebDavConfiguration()` Creates new instance.
    `WebDavConfiguration(TaggedProperties[] languages, byte[] logoData, java.lang.String redirectionUrl, boolean showLoginInfo, boolean showAccountLink, java.lang.String theme, int version)`
    `WebDavConfiguration(TaggedProperties[] languages, java.lang.String logo, java.lang.String redirectionUrl, boolean showLoginInfo, boolean showAccountLink, java.lang.String theme, int version)` Creates new instance.
    `WebDavConfiguration(WebDavConfiguration that)` Creates new instance from existing instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustLanguages(TaggedProperties original)` Resets language resource properties to provided defaults.
    `Configuration` | `copy()`
    `TaggedProperties[]` | `getLanguages()` Gets language resource properties.
    `java.lang.String` | `getLogo()` Gets logo.
    `java.lang.String` | `getRedirectionUrl()` Gets logout redirection URL.
    `java.lang.String` | `getTheme()`
    `boolean` | `isShowAccountLink()` Gets whether account link is displayed in wev interface.
    `boolean` | `isShowLoginInfo()` Gets whether login information is displayed in web interface.
    `byte[]` | `logoBytes()` Gets raw logo data.
    `void` | `setDocumentViewerEnabled(boolean value)`
    `void` | `setLanguages(TaggedProperties[] value)` Sets language resource properties.
    `void` | `setLogo(java.lang.String value)` Sets logo.
    `void` | `setRedirectionUrl(java.lang.String value)` Sets logout redirection URL.
    `void` | `setShowAccountLink(boolean value)` Sets whether account link is displayed in wev interface.
    `void` | `setShowLoginInfo(boolean value)` Sets whether login information is displayed in web interface.
    `void` | `setTheme(java.lang.String value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WebDavConfiguration

          public WebDavConfiguration(TaggedProperties[] languages,
                                     java.lang.String logo,
                                     java.lang.String redirectionUrl,
                                     boolean showLoginInfo,
                                     boolean showAccountLink,
                                     java.lang.String theme,
                                     int version)

      Creates new instance.
      Parameters:
        `languages` - language resources
        `logo` - logo data
        `redirectionUrl` - redirection URL
        `showLoginInfo` - show login info flag
        `showAccountLink` - show account link flag

    - #### WebDavConfiguration

          public WebDavConfiguration(TaggedProperties[] languages,
                                     byte[] logoData,
                                     java.lang.String redirectionUrl,
                                     boolean showLoginInfo,
                                     boolean showAccountLink,
                                     java.lang.String theme,
                                     int version)

    - #### WebDavConfiguration

          public WebDavConfiguration(WebDavConfiguration that)

      Creates new instance from existing instance.
      Parameters:
        `that` - an instance to copy

    - #### WebDavConfiguration

          public WebDavConfiguration()

      Creates new instance.

  - ### Method Detail

    - #### getLanguages

          public TaggedProperties[] getLanguages()

      Gets language resource properties.
      Returns:
        language resource properties

    - #### setLanguages

          public void setLanguages(TaggedProperties[] value)

      Sets language resource properties.
      Parameters:
        `value` - language resource properties

    - #### getLogo

          public java.lang.String getLogo()

      Gets logo.
      Returns:
        logo data

    - #### setLogo

          public void setLogo(java.lang.String value)

      Sets logo.
      Parameters:
        `value` - logo data

    - #### logoBytes

          public byte[] logoBytes()

      Gets raw logo data.
      Returns:
        logo data bytes

    - #### getRedirectionUrl

          public java.lang.String getRedirectionUrl()

      Gets logout redirection URL.
      Returns:
        logout redirection URL

    - #### setRedirectionUrl

          public void setRedirectionUrl(java.lang.String value)

      Sets logout redirection URL.
      Parameters:
        `value` - logout redirection URL

    - #### isShowLoginInfo

          public boolean isShowLoginInfo()

      Gets whether login information is displayed in web interface.
      Returns:
        `true` if login information is allowed; `false` otherwise

    - #### setShowLoginInfo

          public void setShowLoginInfo(boolean value)

      Sets whether login information is displayed in web interface.
      Parameters:
        `value` - if `true` login information is allowed

    - #### isShowAccountLink

          public boolean isShowAccountLink()

      Gets whether account link is displayed in wev interface.
      Returns:
        `true` if account link should be displayed

    - #### setShowAccountLink

          public void setShowAccountLink(boolean value)

      Sets whether account link is displayed in wev interface.
      Parameters:
        `value` - flag

    - #### getTheme

          public java.lang.String getTheme()

    - #### setTheme

          public void setTheme(java.lang.String value)

    - #### adjustLanguages

          public void adjustLanguages(TaggedProperties original)

      Resets language resource properties to provided defaults.
      Parameters:
        `original` - default resources

    - #### setDocumentViewerEnabled

          public void setDocumentViewerEnabled(boolean value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.